Package org.apache.calcite.avatica

# Class MetaImpl.MetaAttribute

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaAttribute

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaAttribute extends Object
Metadata describing an attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`attrDef`
`final String`
`attrName`
`final Integer`
`attrSize`
`String`
`attrTypeName`
`final Integer`
`charOctetLength`
`final int`
`dataType`
`final Integer`
`decimalDigits`
`final String`
`isNullable`
`final int`
`nullable`
`final Integer`
`numPrecRadix`
`final int`
`ordinalPosition`
`final String`
`remarks`
`final String`
`scopeCatalog`
`final String`
`scopeSchema`
`final String`
`scopeTable`
`final Short`
`sourceDataType`
`final Integer`
`sqlDataType`
`final Integer`
`sqlDatetimeSub`
`final String`
`typeCat`
`final String`
`typeName`
`final String`
`typeSchem`

## Constructor Summary

Constructors
Constructor
Description
`MetaAttribute(String typeCat, String typeSchem, String typeName, String attrName, int dataType, String attrTypeName, Integer attrSize, Integer decimalDigits, Integer numPrecRadix, int nullable, Integer charOctetLength, int ordinalPosition, String isNullable)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### typeCat

public final String typeCat

### typeSchem

public final String typeSchem

### typeName

public final String typeName

### attrName

public final String attrName

### dataType

public final int dataType

### attrTypeName

public String attrTypeName

### attrSize

public final Integer attrSize

### decimalDigits

public final Integer decimalDigits

### numPrecRadix

public final Integer numPrecRadix

### nullable

public final int nullable

### remarks

public final String remarks

### attrDef

public final String attrDef

### sqlDataType

public final Integer sqlDataType

### sqlDatetimeSub

public final Integer sqlDatetimeSub

### charOctetLength

public final Integer charOctetLength

### ordinalPosition

public final int ordinalPosition

### isNullable

public final String isNullable

### scopeCatalog

public final String scopeCatalog

### scopeSchema

public final String scopeSchema

### scopeTable

public final String scopeTable

### sourceDataType

public final Short sourceDataType

## Constructor Details

### MetaAttribute

public MetaAttribute(String typeCat, String typeSchem, String typeName, String attrName, int dataType, String attrTypeName, Integer attrSize, Integer decimalDigits, Integer numPrecRadix, int nullable, Integer charOctetLength, int ordinalPosition, String isNullable)